#version 450

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 texpos;
layout (location = 0) out vec3 out_normal;
layout (location = 1) out vec3 out_pos;

struct Material
{
	float ka;
	float kd;
	float ks;
	float alpha;
};

layout(binding = 0) uniform CameraBuffer
{
	vec4 colVal;
	vec4 camPos;
	mat4 worldTransform;
	mat4 viewTransform;
	Material m;
	mat4 normTransform;
}ubo;

void main() {
	//mat3 offset = mat3(1, 0, 0, 0, 1, 0, 0, 0, 1);
	gl_Position = vec4((vec4(position,0) * ubo.worldTransform).xy,0,1);
	//out_normal = normal;
	out_pos = texpos;
}